# Mem_Map.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/os_include/sys/os_mman.h"`
`#include "ace/os_include/os_limits.h"`
`#include "ace/os_include/os_fcntl.h"`
`#include "ace/Default_Constants.h"`
`#include "ace/Mem_Map.inl"`

Include dependency graph for Mem_Map.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Mem_Map
| C++ interface OS memory mapping system call. More...

## Detailed Description

Id
  Mem_Map.h,v 4.35 2006/01/18 19:14:21 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>